'use strict';

exports.__esModule = true;

var _cliColor = require('cli-color');

var _cliColor2 = _interopRequireDefault(_cliColor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {

	// Maximum nested object parsing
	maxDepth: 5,

	colors: {
		date: date => _cliColor2.default.blackBright(date),

		stackHighlight: line => _cliColor2.default.xterm(203)(line),

		// info
		30: {
			level: _cliColor2.default.bgBlue('i'),
			source: source => _cliColor2.default.blue(source)
		},

		// warning
		40: {
			level: _cliColor2.default.bgYellow('w'),
			source: source => _cliColor2.default.yellow(source)
		},

		// error
		50: {
			level: _cliColor2.default.bgRed('e'),
			source: source => _cliColor2.default.red(source)
		},

		object: {

			// Indent (like "\n| ")
			indent: (count = 1, isEOL = true) => {
				const line = count % 2 !== 0 ? '|' : '¦';
				return isEOL ? `\n${line} ` : `${line} `;
			},

			// Object key
			key: (key, count) => {
				return count % 2 === 0 ? _cliColor2.default.cyan(key) : _cliColor2.default.cyanBright(key);
			},

			// System value (null, undefined...)
			system: val => _cliColor2.default.yellowBright(val)
		}
	},

	// Default bunyan keys
	// These keys will not apear in 1st level
	excludeKeys: ['name', 'hostname', 'pid', 'v', 'time', 'msg', 'level', 'message'],

	// replacing paths in errors stack
	baseDir: './'
};
//# sourceMappingURL=config.js.map