'use strict';

exports.__esModule = true;

var _BaseFormatter = require('./BaseFormatter');

var _BaseFormatter2 = _interopRequireDefault(_BaseFormatter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class ArrayFormatter extends _BaseFormatter2.default {
	format(array) {
		if (!Array.isArray(array)) {
			throw new Error('The type of value should be array');
		}

		const arrayString = array.map(item => {
			if (typeof item === 'object') {
				return this.config.colors.object.system('Object');
			}

			return item;
		});

		return `[${arrayString.join(', ')}]`;
	}
}
exports.default = ArrayFormatter;
//# sourceMappingURL=Array.js.map