'use strict';

exports.__esModule = true;

var _BaseFormatter = require('./BaseFormatter');

var _BaseFormatter2 = _interopRequireDefault(_BaseFormatter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class ObjectFormatter extends _BaseFormatter2.default {
	format(data, depth, formatVariable) {
		if (typeof data !== 'object') {
			throw new Error('The type of value should be "Object"');
		}

		return Object.keys(data).reduce((str, key) => {
			const value = data[key];

			const indentString = this._buildIndentString(depth + 1);
			const displayString = formatVariable(value, depth + 1);
			return `${str}${indentString}${this.config.colors.object.key(key, depth)}: ${displayString}`;
		}, '');
	}
}
exports.default = ObjectFormatter;
//# sourceMappingURL=Object.js.map