'use strict';

exports.__esModule = true;

var _moment = require('moment');

var _moment2 = _interopRequireDefault(_moment);

var _BaseFormatter = require('./BaseFormatter');

var _BaseFormatter2 = _interopRequireDefault(_BaseFormatter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class OptionLineFormatter extends _BaseFormatter2.default {
	format(data) {
		const timeString = (0, _moment2.default)(data.time).format('MM.DD HH:mm:ss');
		const source = new Error().stack.split(/\n\s*[at]*\s*/g)[6].replace(`${process.cwd()}/`, this.config.baseDir).match(/\(?(\S*:\d+:\d+)\)?/)[1];

		return `${this.config.colors[data.level].level} ` + // Log level
		`${this.config.colors.date(timeString)} ` + // Time
		`${this.config.colors[data.level].source(source)} ` + // Path source
		`${data.msg || data.message || ''}`;
	}
}
exports.default = OptionLineFormatter;
//# sourceMappingURL=OptionLine.js.map